Subject: Re: [PATCH v2] docs: note the type of core.attributesfile

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Dec 2025 09:15:14 +0900

Matthew Hughes <[email-masked]> writes:

> This change is basically the same rewording as was done to
> 'core.excludesFile' in dca83abde2 (config: describe 'pathname' value
> type).

Indeed, when we look at Documentation/config.txt in the commit
immediately before that one, the description for core.excludesFile
and core.attributesFile starts quite similarly.  The old commit 
dca83abd (config: describe 'pathname' value type, 2016-04-29) should
have done this already back then when it touched core.excludesFile.

Will queue.  Thanks.

> Signed-off-by: Matthew Hughes <[email-masked]>
> ---
>  Documentation/config/core.adoc | 7 +++----
>  1 file changed, 3 insertions(+), 4 deletions(-)
>
> diff --git a/Documentation/config/core.adoc b/Documentation/config/core.adoc
> index 01202da7cd..9bc9de29d9 100644
> --- a/Documentation/config/core.adoc
> +++ b/Documentation/config/core.adoc
> @@ -492,10 +492,9 @@ core.askPass::
>  	command-line argument and write the password on its STDOUT.
>  
>  core.attributesFile::
> -	In addition to `.gitattributes` (per-directory) and
> -	`.git/info/attributes`, Git looks into this file for attributes
> -	(see linkgit:gitattributes[5]). Path expansions are made the same
> -	way as for `core.excludesFile`. Its default value is
> +	Specifies the pathname to the file that contains attributes (see
> +	linkgit:gitattributes[5]), in addition to `.gitattributes` (per-directory)
> +	and `.git/info/attributes`. Its default value is
>  	`$XDG_CONFIG_HOME/git/attributes`. If `$XDG_CONFIG_HOME` is either not
>  	set or empty, `$HOME/.config/git/attributes` is used instead.